package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.property.model.TpTicket;

/**
 * <p>
 * 工单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-02-14
 */
public interface TpTicketService extends IService<TpTicket> {

    /**
     * 工单列表
     * @param parameter
     * @param orgId
     * @return
     */
    ResponseBean ticketLiset(String parameter, Integer orgId);

    /**
     * 工单详情
     * @param parameter
     * @return
     */
    ResponseBean ticketDetails(String parameter, Integer userID, Integer orgId);

    /**
     * 添加工单回复
     * @param parameter
     * @param id
     * @param orgId
     * @param userName
     * @return
     */
    ResponseBean addRecordComment(String parameter, Integer id, Integer orgId, String userName);

    /**
     * 添加工单分配受理
     * @param parameter
     * @param id
     * @param orgId
     * @return
     */
    ResponseBean addRecord(String parameter, Integer id, Integer orgId);

    /**
     * 修改工单状态为拒绝处理
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean updateTicketStatus(String parameter, Integer id, Integer orgId, String userNmae, String LoginName);

    /**
     * 修改当前状态为待评价
     * @param parameter
     * @param id
     * @param orgId
     * @param userName
     * @return
     */
    ResponseBean updateTicket(String parameter, Integer id, Integer orgId, String userName, String longName);
}
